<?php

class Utils
{
    public static function isAJAX()
    {
	if (array_key_exists('HTTP_X_REQUESTED_WITH', $_SERVER) &&
	    $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest')
	    return true;

	return false;
    }

    public static function assertIsoDate($date)
    {
	if (strlen($date) > 0) {
	    $datum = explode (".", $date);

	    if (count($datum) > 1) {
		if (strlen($datum[1]) == 0) {
		    $datum[1] = date ("m");
		}
		if (strlen($datum[2]) == 0) {
		    if ($datum[1] == '12' && date('m') == '1')
			$datum[2] = date ("Y", time() - 60*60*24*(date('d')+1));
		    else
			$datum[2] = date ("Y");
		} elseif (strlen($datum[2]) == 1) {
		    $datum[2] = "200" . $datum[2];
		} elseif (strlen($datum[2]) == 2) {
		    $datum[2] = "20" . $datum[2];
		}

		$date = $datum[2] . "-" . $datum[1] . "-" . $datum[0];
	    }
	} else {
	    $date = date("Y-m-d");
	}
	return $date;
    }

    public static function assertGermanDate($datum)
    {
	if (strpos($datum, '.') !== false)
	    return $datum;

	$date = explode(" ", $datum);
	$date = explode("-", $date[0]);
	$out = sprintf("%d.%d.%d", $date[2], $date[1], $date[0]);
	return $out;
    }
}
